<!DOCTYPE html>

<html lang="zxx">

<head>
  <title>Isaul Garcia ∷ MDEF</title>
  <link href="css/style_2.css" rel="stylesheet">
  <script src="forscrolly.js"></script>
  <link rel="shortcut icon" type="image/png" href="images/favicon.png">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <style>
  html, body {
  overflow: hidden;}
  </style>
</head>



<body style="background-color: transparent;cursor: crosshair;">
  <img src="images/darkmap.jpg"  class="image_mobile backdrop" style="width: 100%;">
  <span id="circle" class="circle sun"></span>
<canvas class='connecting-dots curtain'></canvas>


<script>
var canvasDots = function() {
  var canvas = document.querySelector('canvas'),
      ctx = canvas.getContext('2d'),
      colorDot = '#f0f0f0',
      color = '#f0f0f0';
  canvas.width = window.innerWidth;
  canvas.height = window.innerHeight;
  canvas.style.display = 'block';
  ctx.fillStyle = colorDot;
  ctx.lineWidth = 0.6;
  ctx.strokeStyle = color;

  var mousePosition = {
      x: 30 * canvas.width / 100,
      y: 30 * canvas.height / 100
  };

  var dots = {
      nb: 500,
      distance: 60,
      d_radius: 100,
      array: []
  };

  function Dot(){
      this.x = Math.random() * canvas.width;
      this.y = Math.random() * canvas.height;

      this.vx = -0.5 + Math.random();
      this.vy = -0.5 + Math.random();

      this.radius = 2;
  }

  Dot.prototype = {
      create: function(){
          ctx.fillStyle = "#f0f0f0";
          ctx.fillRect(this.x, this.y, -5, 5, false);
      },

      line: function(){
          for(i = 0; i < dots.nb; i++){
              for(j = 0; j < dots.nb; j++){
                  i_dot = dots.array[i];
                  j_dot = dots.array[j];

                  if((i_dot.x - j_dot.x) < dots.distance && (i_dot.y - j_dot.y) < dots.distance && (i_dot.x - j_dot.x) > - dots.distance && (i_dot.y - j_dot.y) > - dots.distance){
                      if((i_dot.x - mousePosition.x) < dots.d_radius && (i_dot.y - mousePosition.y) < dots.d_radius && (i_dot.x - mousePosition.x) > - dots.d_radius && (i_dot.y - mousePosition.y) > - dots.d_radius){
                          ctx.beginPath();
                          ctx.moveTo(i_dot.x, i_dot.y);
                          ctx.lineTo(j_dot.x, j_dot.y);
                          ctx.stroke();
                          ctx.closePath();
                      }
                  }
              }
          }
      }
  };

  function createDots(){
      ctx.clearRect(0, 0, canvas.width, canvas.height);
      for(i = 0; i < dots.nb; i++){
          dots.array.push(new Dot());
          dot = dots.array[i];

          dot.create();
      }

      dot.line();
  }

  window.onmousemove = function(parameter) {
      mousePosition.x = parameter.pageX;
      mousePosition.y = parameter.pageY;
  }

  mousePosition.x = window.innerWidth / 2;
  mousePosition.y = window.innerHeight / 2;

  setInterval(createDots, 1000/30);
};

window.onload = function() {
  canvasDots();
};

/* circle */

jQuery(document).ready(function() {

  var mouseX = -350, mouseY = -350;
  var xp = -350, yp = -350;

  $(document).mousemove(function(e){
    mouseX = e.pageX - 175;
    mouseY = e.pageY - 175;
  });

  setInterval(function(){
    xp += ((mouseX - xp)/6);
    yp += ((mouseY - yp)/6);
    $("#circle").css({left: xp +'px', top: yp +'px'});
  }, 1);

});
</script>


</body>


</html>
